summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-03-26 23:04:49 +0000
committer Eric Hameleers <alien@slackware.com>2019-03-27 08:59:46 +0100
commitadd8dff95a4576e7ec8bb22f72c661c8a0934ebb (patch)
treeac747a2b19ce56fb0cc8b29d465fa4bc010ec3b0 /source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
parent3b7e089bdda55791198b67eb80a3945c4eb9668a (diff)
downloadcurrent-add8dff95a4576e7ec8bb22f72c661c8a0934ebb.tar.gz
current-add8dff95a4576e7ec8bb22f72c661c8a0934ebb.tar.xz
Tue Mar 26 23:04:49 UTC 201920190326230449
ap/cups-filters-1.22.3-x86_64-1.txz: Upgraded. ap/lsscsi-0.30-x86_64-1.txz: Upgraded. ap/soma-3.2.3-noarch-1.txz: Upgraded. ap/vim-8.1.1053-x86_64-1.txz: Upgraded. l/libssh2-1.8.2-x86_64-1.txz: Upgraded. n/gnupg2-2.2.15-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.1053-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 9f30d1c3..b03c373b 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -161,6 +161,9 @@ cd thunderbird-$RELEASEVER || exit 1
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
+# Fix building with latest Rust:
+zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"